CREAL(3)

NAME
creal, crealf, creall - get real part of a complex number

SYNOPSIS
#include <complex.h>

double creal(double complex z);
float crealf(float complex z);
long double creall(long double complex z);

Link with -lm.

DESCRIPTION
The creal() function returns the real part of the complex number z.

One has z = creal(z) + I*cimag(z).

NOTE
The gcc supports also __real__. That is a GNU extension.

CONFORMING TO
C99

SEE ALSO
cabs(3), cimag(3), complex(7)